Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PRAcroForm.FieldInformation

    java.lang.Object
      com.lowagie.text.pdf.PRAcroForm.FieldInformation

Enclosing class:
  PRAcroForm

    public static class PRAcroForm.FieldInformation

extends Object

This class holds the information for a single field

Field Summary
`(package private) PdfDictionary` | `info`
`(package private) String` | `name`
`(package private) PRIndirectReference` | `ref`

Constructor Summary
`PRAcroForm.FieldInformation(String name, PdfDictionary info, PRIndirectReference ref)`

Method Summary
`PdfDictionary` | `getInfo()`
`String` | `getName()`
`PRIndirectReference` | `getRef()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    String name

### info

    PdfDictionary info

### ref

    PRIndirectReference ref

Constructor Detail

### PRAcroForm.FieldInformation

    PRAcroForm.FieldInformation(String name,
                                PdfDictionary info,
                                PRIndirectReference ref)

Method Detail

### getName

    public String getName()

### getInfo

    public PdfDictionary getInfo()

### getRef

    public PRIndirectReference getRef()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD